package com.unis.detectionnum.server.dao;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.unis.detectionnum.server.entity.LogDO;

@Repository
public interface LogDao {
    int deleteByPrimaryKey(Integer id);

    int insert(LogDO record);

    int insertSelective(LogDO record);

    LogDO selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(LogDO record);

    int updateByPrimaryKeyWithBLOBs(LogDO record);

    int updateByPrimaryKey(LogDO record);

	/** 
	 * @Title: selectByUserName 
	 * @Description: TODO
	 * @param userName
	 * @return List<LogDO>
	 * @throws 
	 */
	List<LogDO> selectByUserName(String userName);
}